OrderingComponentRendererBase.ControlsHelper (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.renderkit.OrderingComponentRendererBase.ControlsHelper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class OrderingComponentRendererBase.ControlsHelper

    java.lang.Object
      org.richfaces.renderkit.OrderingComponentRendererBase.ControlsHelper

Enclosing class:
  OrderingComponentRendererBase

    protected abstract static class OrderingComponentRendererBase.ControlsHelper

extends java.lang.Object

Constructor Summary
`OrderingComponentRendererBase.ControlsHelper(java.lang.String name, java.lang.String bundlePropertyName, java.lang.String defaultText, java.lang.String imageURI, java.lang.String facetName, java.lang.String styleClassName, java.lang.String styleFromAttribute, java.lang.String buttonStyleClass, java.lang.String idSuffix, java.lang.String customEvent, boolean isEnable, java.lang.String labelAttributeName, java.lang.String title)`

Method Summary
`java.lang.String` | `getBundlePropertyName()`
`java.lang.String` | `getButtonStyleClass()`
`java.lang.String` | `getCustomEvent()`
`java.lang.String` | `getDefaultText()`
`java.lang.String` | `getFacetName()`
`java.lang.String` | `getIdSuffix()`
`java.lang.String` | `getImageURI()`
`java.lang.String` | `getLabelAttributeName()`
`java.lang.String` | `getName()`
`java.lang.String` | `getStyleClassName()`
`java.lang.String` | `getStyleFromAttribute()`
`java.lang.String` | `getTitle()`
`boolean` | `isEnable()`
`abstract boolean` | `isRendered(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` | `setTitle(java.lang.String title)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrderingComponentRendererBase.ControlsHelper

    public OrderingComponentRendererBase.ControlsHelper(java.lang.String name,
                                                        java.lang.String bundlePropertyName,
                                                        java.lang.String defaultText,
                                                        java.lang.String imageURI,
                                                        java.lang.String facetName,
                                                        java.lang.String styleClassName,
                                                        java.lang.String styleFromAttribute,
                                                        java.lang.String buttonStyleClass,
                                                        java.lang.String idSuffix,
                                                        java.lang.String customEvent,
                                                        boolean isEnable,
                                                        java.lang.String labelAttributeName,
                                                        java.lang.String title)

Method Detail

### isRendered

    public abstract boolean isRendered(javax.faces.context.FacesContext context,
                                       javax.faces.component.UIComponent component)

### getName

    public java.lang.String getName()

### getBundlePropertyName

    public java.lang.String getBundlePropertyName()

### getImageURI

    public java.lang.String getImageURI()

### getFacetName

    public java.lang.String getFacetName()

### getStyleClassName

    public java.lang.String getStyleClassName()

### getIdSuffix

    public java.lang.String getIdSuffix()

### getCustomEvent

    public java.lang.String getCustomEvent()

### getStyleFromAttribute

    public java.lang.String getStyleFromAttribute()

### getButtonStyleClass

    public java.lang.String getButtonStyleClass()

### isEnable

    public boolean isEnable()

### getDefaultText

    public java.lang.String getDefaultText()

### getLabelAttributeName

    public java.lang.String getLabelAttributeName()

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.